Bug 46213 - Switching to Versioning tab via KB does not transfer focus
Switching to Versioning tab via KB does not transfer focus
Status: CLOSED FIXED
Product: obsolete
Classification: Unclassified
Component: vcscore
4.x
PC Linux
: P3 (vote)
: 4.x
Assigned To: Martin Entlicher
issues@obsolete
: A11Y, FOCUS
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-15 16:20 UTC by Jesse Glick
Modified: 2006-03-24 10:32 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2004-07-15 16:20:03 UTC
040714, 1.5.0 b57, GTK. Selecting document node in
Vers tab (via KB access to main menu) opens the
tab and selects it, but leaves KB focus in the
editor (where the caret continues to blink). Have
to click inside the Vers tab to give it focus.
Take a look at ProjectTab in projects/projectui; I
think you need to override some deprecated methods
or something to transfer focus into the tree.
Comment 1 Martin Entlicher 2004-07-15 16:55:03 UTC
True. CTRL-8 also does not transfer KB focus into the Versioning.
Comment 2 Martin Entlicher 2004-07-15 17:04:08 UTC
Thanks for the pointer to projects. It's fixed in trunk:

/cvs/vcscore/src/org/netbeans/modules/vcscore/versioning/impl/VersioningExplorer.java,v
 <--  VersioningExplorer.java
new revision: 1.17; previous revision: 1.16
Comment 3 Jiri Kovalsky 2004-07-16 07:48:59 UTC
Great. Verified in development build #200407151800 of NetBeans 4.0.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo